Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcSun15HttpTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcHttpTransport
                  org.apache.xmlrpc.client.XmlRpcSunHttpTransport
                      org.apache.xmlrpc.client.XmlRpcSun14HttpTransport
                          org.apache.xmlrpc.client.XmlRpcSun15HttpTransport

All Implemented Interfaces:
  XmlRpcTransport

    public class XmlRpcSun15HttpTransport

extends XmlRpcSun14HttpTransport

Default implementation of an HTTP transport in Java 1.4, based on the `HttpURLConnection` class. Adds support for the `Proxy` class.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`XmlRpcHttpTransport.ByteArrayReqWriter`

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Field Summary

Fields inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`USER_AGENT`

Constructor Summary
`XmlRpcSun15HttpTransport(XmlRpcClient pClient)` Creates a new instance.

Method Summary
`java.net.Proxy` | `getProxy()` Returns the proxy to use.
`protected void` | `initHttpHeaders(XmlRpcRequest pRequest)`
`protected java.net.URLConnection` | `newURLConnection(java.net.URL pURL)`
`void` | `setProxy(java.net.Proxy pProxy)` Sets the proxy to use.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcSun14HttpTransport
`getSSLSocketFactory, setSSLSocketFactory`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcSunHttpTransport
`close, getInputStream, getURLConnection, isResponseGzipCompressed, sendRequest, setRequestHeader, writeRequest`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`getUserAgent, isUsingByteArrayOutput, newReqWriter, setCompressionHeaders, setContentLength, setCredentials`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`isCompressingRequest, newXMLReader, readResponse`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcSun15HttpTransport

    public XmlRpcSun15HttpTransport(XmlRpcClient pClient)

  Creates a new instance.

  Parameters:
    `pClient` - The client controlling this instance.

Method Detail

### setProxy

    public void setProxy(java.net.Proxy pProxy)

  Sets the proxy to use.

### getProxy

    public java.net.Proxy getProxy()

  Returns the proxy to use.

### initHttpHeaders

    protected void initHttpHeaders(XmlRpcRequest pRequest)
                            throws XmlRpcClientException

  Overrides:
    `initHttpHeaders` in class `XmlRpcHttpTransport`
  Throws:
    `XmlRpcClientException`

### newURLConnection

    protected java.net.URLConnection newURLConnection(java.net.URL pURL)
                                               throws java.io.IOException

  Overrides:
    `newURLConnection` in class `XmlRpcSun14HttpTransport`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.